Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Profiler::ProfileFrame Struct Reference

Represents the total timing information of a profile since profiles can be called more than once each frame. More...

`#include <OgreProfiler.h>`

List of all members.

## Public Attributes

String | name
| The name of the profile.
ulong | frameTime
| The total time this profile has taken this frame.
uint | calls
| The number of times this profile was called this frame.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the main loop.

## Detailed Description

Represents the total timing information of a profile since profiles can be called more than once each frame.

Definition at line 277 of file OgreProfiler.h.

## Member Data Documentation

uint Ogre::Profiler::ProfileFrame::calls

| The number of times this profile was called this frame. Definition at line 286 of file OgreProfiler.h. Referenced by Ogre::Profiler::beginProfile().

ulong Ogre::Profiler::ProfileFrame::frameTime

| The total time this profile has taken this frame. Definition at line 283 of file OgreProfiler.h. Referenced by Ogre::Profiler::beginProfile().

uint Ogre::Profiler::ProfileFrame::hierarchicalLvl

| The hierarchical level of this profile, 0 being the main loop. Definition at line 289 of file OgreProfiler.h. Referenced by Ogre::Profiler::beginProfile().

String Ogre::Profiler::ProfileFrame::name

| The name of the profile. Definition at line 280 of file OgreProfiler.h. Referenced by Ogre::Profiler::beginProfile().

The documentation for this struct was generated from the following file:

- OgreProfiler.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:27 2004